# Fetch IDLE and ACTIVE sessions

Returns up to 100 live sessions, sorted in descending order of creation time.

Endpoint: GET /api/v1.1/sessions
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Query parameters:

  - `instanceId` (string, required)
    Filter sessions based on Instance UUID.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded.

## Response 200 fields (application/json):

  - `sessionId` (string)
    UUID of the session.

  - `instanceId` (string)
    UUID of the instance that this session operates on.

  - `state` (string)
    Current state of this session.
    Enum: "IDLE", "ACTIVE"

  - `chargedUntil` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, of the last scheduled automatic charge.

  - `lastHeartBeat` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the last heartbeat was received.

  - `lastAccessRequest` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the last access request was received for the session.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

